<?
//
//
require_once($_SERVER['DOCUMENT_ROOT']."/jquery/inc/system.php"); 
//
//
if(!$user){
header('location:/login/');
exit();
}
//
//
head([]);
//
//
echo logs();
//
//
$event = DB::$dbs->queryFetch('SELECT * FROM `event` WHERE `id` = ? LIMIT 1', [1]);
//
//
$ev = DB::$dbs->queryFetch('SELECT * FROM `event_user` WHERE `id_user` = ? LIMIT 1', [$user['id']]);
if(!$ev){
DB::$dbs->query('INSERT INTO `event_user` SET `id_user` = ?',array($user['id']));
header('location:?');
exit();
}
//
//
echo logs();
//
//
$res = array('',
'gold',
'silver',
'exp',
'diamond',
'item',
'gold',
'silver',
'exp',
'diamond',
'item',
'gold',
'silver',
'exp',
'diamond',
'item',
'gold',
'silver',
'exp',
'diamond',
'item',
'gold',
'silver',
'exp',
'diamond',
'item',
'gold',
'silver',
'exp',
'diamond',
'item'
);
//
//
$coll = array('',
'30',
'5000',
'400',
'5',
'1',
'50',
'10000',
'800',
'10',
'2',
'70',
'15000',
'1600',
'15',
'3',
'100',
'20000',
'3200',
'20',
'4',
'150',
'25000',
'6400',
'25',
'5',
'300',
'50000',
'12800',
'30',
'6'
);
//
//
$coll2 = array('',
'30 золота',
'5000 серебра',
'400 опыта',
'5 алмазов',
'<font color="'.$color[1].'">Обычная вещь</font>',
'50 золота',
'10000 серебра',
'800 опыта',
'10 алмазов',
'<font color="'.$color[2].'">Редкая вещь</font>',
'70 золота',
'15000 серебра',
'1600 опыта',
'15 алмазов',
'<font color="'.$color[3].'">Эпическая вещь</font>',
'100 золота',
'20000 серебра',
'3200 опыта',
'20 алмазов',
'<font color="'.$color[4].'">Легендарная вещь</font>',
'150 золота',
'25000 серебра',
'6400 опыта',
'25 алмазов',
'<font color="'.$color[5].'">Мифическая вещь</font>',
'300 золота',
'50000 серебра',
'12800 опыта',
'30 алмазов',
'<font color="'.$color[6].'">Божественная вещь</font>'
);
//
//
if(isset($_GET['get']) && $user['key'] >= 10 && $ev['level'] <= 30){
//
//
if($res[$ev['level']] != 'item'){
//
//
DB::$dbs->query("UPDATE `users` SET `".$res[$ev['level']]."` = `".$res[$ev['level']]."` + ?, `key` = `key` - ? WHERE `id` = ? LIMIT 1", array($coll[$ev['level']],10,$user['id']));
//
//
}else{
//
//
$item = DB::$dbs->queryFetch('SELECT * FROM `items` WHERE `set` = ? ORDER BY RAND() LIMIT 1', [$coll[$ev['level']]]);
DB::$dbs->query("INSERT INTO `inv` SET `id_user` = ?, `set` = ?, `power` = ?, `def` = ?, `hp` = ?, `smitch` = ?, `max_smitch` = ?, `yes` = ?, `type` = ?, `name` = ?, `level` = ?", array($user['id'],$item['set'],$item['power'],$item['def'],$item['hp'],0,$item['max_smitch'],0,$item['type'],$item['name'],$item['level']));
//
//
}
//
//
DB::$dbs->query("UPDATE `event_user` SET `level` = `level` + ? WHERE `id_user` = ? LIMIT 1", array(1,$user['id']));
//
//
ok2("Вы забрали награду!");
header('location:?');
exit();
//
//
}
//
//
?>
<div class="poster -gas">
		    <div class="start">
		        <center>
<br>
<div class="aci gg-b"><span class="title-wi"><font color="">Ивент проклятых - <small><?=timer($event['time']);?></small></font></span>Собирайте ключи и получайте награду за каждый уровень!</div>		       
		        </center>

<?
for($i=1;$i<=30;$i++) {
//
//
if($i >= $ev['level']){
//
//
?>
<div class="menu-not2">
<font color="#777777">
Соберите <img src="/css/img/key.png"> 10 ключей
<span style="float: right;"><?=$i;?> уровень</span>
<br>
<img src="/css/img/<?=$res[$i];?>.png">
<?=$coll2[$i];?>
</font>
</div>

<?
//
//
if($i == $ev['level'] && $user['key'] >= 10){
//
//
?>
<a href="?get" class="click">Получить за <img src="/css/img/key.png"> 10</a>
<div class="stats2">
</div>
<?
//
//
}
//
//
?>
<?
}
}
//
//
if($ev['level'] >= 31){
//
//
?>
<div class="menu-not">
<font color="#999999">
Поздравляем!<br> 
Вы прошли ивент проклятых<br><br>
Дождитесь начала следующего месяца, для обновления ивента и открытия вам доступа к обмену наград. 
</font>
</div>
<?
//
//
}
?>		        
		        
		        
		        </div></div>
		        
		        <?
		        //
		        //
		        foot([]);
		        ?>